Bug 1252364 - [host-deploy] when updating multiple packages only the latest is considered in cache timestamp
[host-deploy] when updating multiple packages only the latest is considered i...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Host-Deploy (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.5.5
: 3.5.5
Assigned To: Alon Bar-Lev
Pavol Brilla
infra
:
Depends On:
Blocks: 1250919
  Show dependency treegraph
 
Reported: 2015-08-11 05:08 EDT by Alon Bar-Lev
Modified: 2016-02-10 14:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 09:43:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alonbl: ovirt‑3.5.z?
alonbl: ovirt‑3.6.0?
rule-engine: planning_ack?
alonbl: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44690 master MERGED host-deploy: remove timestamp cache check for tarball Never
oVirt gerrit 44874 ovirt-engine-3.6 MERGED host-deploy: remove timestamp cache check for tarball Never
oVirt gerrit 44875 ovirt-engine-3.5 MERGED host-deploy: remove timestamp cache check for tarball Never

  None (edit)
Description Alon Bar-Lev 2015-08-11 05:08:27 EDT
host-deploy cache is timestamp based, max(interface-3).

there can be a case in which packages at interface-3 are updated async, in this case if the package that is being updated is older (in term of timestamp) than previous the cache will not be refreshed.

we move to hash based.
Comment 1 Alon Bar-Lev 2015-08-11 08:48:25 EDT
using hash will force us to read files twice, once per modify check and once when creating the tar, so we can just create the tar always.
Comment 2 Pavol Brilla 2015-10-06 10:53:31 EDT
Verified on vt17.1

ovirt-host-deploy.tar is recreated before each host deploy
Comment 3 Red Hat Bugzilla Rules Engine 2015-10-18 04:21:29 EDT
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 4 Sandro Bonazzola 2015-10-26 09:43:32 EDT
oVirt 3.5.5 has been released including fixes for this issue.

Note You need to log in before you can comment on or make changes to this bug.